<?php

/*
 De functie toonArtikelenLijst voert de sql query voor 
 de productenlist uit op de database en maakt met het resultaat van deze
 query een tabel in html.
 Deze html wordt geretourneerd naar de aanroepende code. 
 */
function toonArtikelenLijst()
{
   global $db; // Verwijst naar de connectie in het aanroepende php document
   global $melding; // Komt straks van database.ph
   // maak verbinding
   if(!$db) $db=maakVerbinding();
   $uitvoer="";
   if(!$db) // test verbinding
   {
    // mislukt
    $uitvoer="Er is geen database connectie! ".$melding;
   }
   else
   {
	 try{
	  $opdracht = $db->prepare("SELECT * FROM product");
	  $opdracht->execute();
      // resultaat tot uitvoer verwerken
      // maken tabel 
      $uitvoer .= "<table summary=''>\n";
      $uitvoer .= "<tr>";
      $uitvoer .= "<td>nummer</td>";
      $uitvoer .= "<td>naam</td>";
      $uitvoer .= "<td>prijs</td>";
      $uitvoer .= "<td>voorraad</td>";
      $uitvoer .= "<td>omschrijving</td>";
      $uitvoer .= "<td>aantal</td>";
      $uitvoer .= "</tr>\n";
      // lus door alle rijen aanezig in het resultaat
	 while(
		list($nummer,$naam,$prijs,$voorraad, $omschrijving) = 
			$opdracht->fetch(PDO::FETCH_NUM))
      {
         $uitvoer .= "<tr><td>$nummer</td><td>$naam</td><td>$prijs</td><td>$voorraad</td><td>$omschrijving</td>";
         $uitvoer .= "<td><form action='{$_SERVER['PHP_SELF']}' method='post'>";
         $uitvoer .= "<input type='hidden' name='productid' value='$nummer'>";
         $uitvoer .= "<input type='number' name='aantal' min='0' step='1' value=''>";
         $uitvoer .= "<input type='submit' name='actie' value='bestel'></form></td></tr>";
      }
      $uitvoer .="</table>";
     }
	 catch(PDOException $e) {
	    $uitvoer .= "<br/>Fout in query" .  $e->getMessage();
     }
   }
   //sluit database
   verbreekVerbinding();         
   return $uitvoer;    // Stuur de waarde van $uitvoer terug     
}

?>